Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseEnquiryNcbServiceType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseEnquiryNcbServiceType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResponseEnquiryNcbService

public abstract class ResponseEnquiryNcbServiceType
extends java.lang.Object
implements java.io.Serializable

Class ResponseEnquiryNcbServiceType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`ResponseEnquiryNcbServiceType()`

Method Summary
`void` | `addNcbService(int index, NcbService vNcbService)` Method addNcbService
`void` | `addNcbService(NcbService vNcbService)` Method addNcbService
`java.util.Enumeration` | `enumerateNcbService()` Method enumerateNcbService
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`NcbService[]` | `getNcbService()` Method getNcbService
`NcbService` | `getNcbService(int index)` Method getNcbService
`int` | `getNcbServiceCount()` Method getNcbServiceCount
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllNcbService()` Method removeAllNcbService
`NcbService` | `removeNcbService(int index)` Method removeNcbService
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setNcbService(int index, NcbService vNcbService)` Method setNcbService
`void` | `setNcbService(NcbService[] ncbServiceArray)` Method setNcbService
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseEnquiryNcbServiceType

    public ResponseEnquiryNcbServiceType()

Method Detail

### addNcbService

    public void addNcbService(NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNcbService

    public void addNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method addNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateNcbService

    public java.util.Enumeration enumerateNcbService()

  Method enumerateNcbService

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getNcbService

    public NcbService getNcbService(int index)
                             throws java.lang.IndexOutOfBoundsException

  Method getNcbService

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNcbService

    public NcbService[] getNcbService()

  Method getNcbService

### getNcbServiceCount

    public int getNcbServiceCount()

  Method getNcbServiceCount

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllNcbService

    public void removeAllNcbService()

  Method removeAllNcbService

### removeNcbService

    public NcbService removeNcbService(int index)

  Method removeNcbService

  Parameters:
    `index` -

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setNcbService

    public void setNcbService(int index,
                              NcbService vNcbService)
                       throws java.lang.IndexOutOfBoundsException

  Method setNcbService

  Parameters:
    `index` -
    `vNcbService` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNcbService

    public void setNcbService(NcbService[] ncbServiceArray)

  Method setNcbService

  Parameters:
    `ncbServiceArray` -

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD